com.collabnet.ce.soap60.webservices.frs

## Class PackageSoapRow

- java.lang.Object
- - com.collabnet.ce.soap60.webservices.cemain.FolderSoapRow
  - - com.collabnet.ce.soap60.webservices.frs.PackageSoapRow

-     public class PackageSoapRow
      extends FolderSoapRow

  A package list is represented by the PackageSoapList class. Each row within a package list is represented by the PackageSoapRow class.
  Since:
    4.1

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PackageSoapRow()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getStatus()` Returns 'status'.
    `static void` | `registerTypeMappings(org.apache.axis.client.Call call)`
    `void` | `setStatus(String status)` Sets 'status'.

    - ### Methods inherited from class com.collabnet.ce.soap60.webservices.cemain.FolderSoapRow

      `getCreatedBy, getCreatedOn, getDescription, getId, getLastModifiedBy, getLastModifiedOn, getParentFolderId, getPath, getProjectId, getTitle, setCreatedBy, setCreatedOn, setDescription, setId, setLastModifiedBy, setLastModifiedOn, setParentFolderId, setPath, setProjectId, setTitle`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PackageSoapRow

          public PackageSoapRow()

  - ### Method Detail

    - #### getStatus

          public String getStatus()

      Returns 'status'. Package status: PackageSoapDO.STATUS_ACTIVE or PackageSoapDO.STATUS_PROTECTED.
      Returns:
        Value of 'status'.

    - #### setStatus

          public void setStatus(String status)

      Sets 'status'. Package status: PackageSoapDO.STATUS_ACTIVE or PackageSoapDO.STATUS_PROTECTED.
      Parameters:
        `status` - Value of 'status'.

    - #### registerTypeMappings

          public static void registerTypeMappings(org.apache.axis.client.Call call)

Copyright © 2019 CollabNet. All rights reserved.